AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Checkout

Create a hosted checkout link and redirect your customer to it to pay. Learn more about Checkout

Last updated 13 September 2026

Create a hosted checkout link and redirect your customer to it to pay. Learn more about Checkout

post

https://api.flutterwave.com/v3/payments

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

amount int 32 required
The amount to be charged for the transaction

tx_ref string required
Unique reference for the transaction

currency string
The currency to charge in. Defaults to "NGN" if not specified

redirect_url string
URL to redirect the customer to after payment is completed

customer object required
An object containing the customer’s details

FILL IN ALL REQUIRED FIELDS

email string required
Customer's email address

phone_number string
The customer’s mobile number

name string
Customer’s name

customizations object
An object containing options to customize the look of the payment modal

FILL IN ALL REQUIRED FIELDS

title string
Name/title to display on the checkout page

logo string
Merchant's logo URL

configuration object
The checkout configurations

FILL IN ALL REQUIRED FIELDS

session_duration int 32
Duration (in minutes) the session should remain valid (max: 1440)

max_retry_attempt int 32
Max number of retry attempts for failed transactions

payment_plan int 32
ID of the payment plan (used for recurring payments)

payment_options string
Comma-separated list of payment methods to display

link_expiration string
Sets how long the hosted payment link remains valid

subaccounts array of objects
Array of objects specifying subaccount IDs for split payments

FILL IN ALL REQUIRED FIELDS

id string
This is the unique Id returned in the call to create a subaccount as data.subaccount_id

meta object
Extra metadata you’d like to store with the transaction

FILL IN ALL REQUIRED FIELDS

meta_1 string

meta_2 string

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

link string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys